<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
*/
interface Wact_Error_Formatter {

    /**
    */
    function beginError();

    /**
    */
    function writeErrorMessage($message, $file, $line, $level);

    /**
    */
    function writeStackTrace($trace);
    
    /**
    */
    function endError();

    /**
    */
    function getMessage();
    
}

?>